## kipi-plugins 20.12.0

=== kmlexport/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

add_definitions(-DTRANSLATION_DOMAIN=\"kipiplugin_kmlexport\")

set(kipiplugin_kmlexport_PART_SRCS plugin_kmlexport.cpp
                                   gpsdataparser.cpp
                                   kmlexport.cpp
                                   kmlgpsdataparser.cpp
                                   kmlwindow.cpp
)

add_library(kipiplugin_kmlexport MODULE ${kipiplugin_kmlexport_PART_SRCS})

target_link_libraries(kipiplugin_kmlexport
                      PRIVATE
                      KF5::I18n
                      KF5::Kipi
                      KF5kipiplugins
                     )

configure_file(kipiplugin_kmlexport.desktop.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_kmlexport.desktop)

install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_kmlexport.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kipiplugin_kmlexport                                     DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES   kipiplugin_kmlexportui.rc                                DESTINATION ${KXMLGUI_INSTALL_DIR}/kipi)

=== common/libkipiplugins/CMakeLists.txt ===
#
# Copyright (c) 2010-2016, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

add_definitions(-DTRANSLATION_DOMAIN=\"kipiplugins\")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/tools/kpversion.h.cmake.in              ${CMAKE_CURRENT_BINARY_DIR}/kpversion.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/templates/Doxyfile.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

include_directories(${JPEG_INCLUDE_DIR} ${PNG_INCLUDE_DIR} ${TIFF_INCLUDE_DIR})

qt5_add_resources(libkipipluginsresources_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../data/libkipiplugins.qrc)

set(kipiplugins_LIB_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/tools/kipiplugins_debug.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/tools/kputil.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpimageinfo.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpversion.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpaboutdata.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpthreadmanager.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/widgets/kpprogresswidget.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/widgets/kpsavesettingswidget.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/widgets/kpimageslist.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/widgets/kpsettingswidget.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/kpwizardpage.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/kpimagedialog.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/kpbatchprogressdialog.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/kptooldialog.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/kpnewalbumdialog.cpp
                         ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/kplogindialog.cpp

                         ${libkipipluginsresources_SRCS}
)

# The o2 library does not adhere to the flags we use
remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY)
# It also does not export symbols, so export all by default
unset(CMAKE_CXX_VISIBILITY_PRESET)

if(WIN32)
    add_definitions(-DO2_DLL_EXPORT)
endif()

# Copied from o2/src/CMakeLists.txt
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(o2_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o2.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o2reply.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o2replyserver.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o2requestor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o2simplecrypt.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o0settingsstore.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o0baseauth.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o0abstractstore.h
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o0globals.h
    # Enable when needed
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o1.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o1requestor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o1timedreply.cpp
    #${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o1smugmug.cpp
    #${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o1twitter.h
    #${CMAKE_CURRENT_SOURCE_DIR}/o2/src/oxtwitter.cpp
    #${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o1dropbox.h
    #${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o1flickr.h
    #${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o2gft.cpp
    #${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o2facebook.cpp
    #${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o2skydrive.cpp
    #${CMAKE_CURRENT_SOURCE_DIR}/o2/src/o2hubic.cpp
)

add_library(KF5kipiplugins SHARED ${kipiplugins_LIB_SRCS} ${o2_SRCS})
add_dependencies(KF5kipiplugins kipiplugins-gitversion)

generate_export_header(KF5kipiplugins BASE_NAME kipiplugins EXPORT_MACRO_NAME KIPIPLUGINS_EXPORT)

target_link_libraries(KF5kipiplugins

                      PUBLIC
                      Qt5::Gui
                      Qt5::Network

                      PRIVATE

                      KF5::I18n
                      KF5::ConfigCore

                      KF5::Kipi
)

set_target_properties(KF5kipiplugins PROPERTIES
                      VERSION     ${KIPIPLUGINS_LIB_SO_VERSION_STRING}
                      SOVERSION   ${KIPIPLUGINS_LIB_SO_VERSION_STRING}
                      EXPORT_NAME KIPIPlugins
)

install(TARGETS KF5kipiplugins
        EXPORT  KF5kipipluginsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== facebook/icons/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
# Copyright (c) 2015, Alexander Potashev, <aspotashev@gmail.com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

ecm_install_icons(
    ICONS
        16-apps-kipi-facebook.png
        22-apps-kipi-facebook.png
        32-apps-kipi-facebook.png
        48-apps-kipi-facebook.png
        sc-apps-kipi-facebook.svgz
    DESTINATION ${ICON_INSTALL_DIR}
)

=== common/libkipiplugins/o2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

if(POLICY CMP0048) # in CMake >= 3.0.0
    cmake_policy(SET CMP0048 OLD) # keep project() from clearing VERSION variables
endif(POLICY CMP0048)

set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

set(VER_MAJOR "1")
set(VER_MINOR "0")
set(VER_PATCH "1")
set(API_VER_PATCH "0")
set(CPACK_PACKAGE_VERSION_MAJOR ${VER_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VER_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${VER_PATCH})
set(PROJECT_VERSION ${VER_MAJOR}.${VER_MINOR}.${VER_PATCH})
set(API_VERSION ${VER_MAJOR}.${VER_MINOR}.${API_VER_PATCH})

project(o2)

option(o2_WITH_QT5 "Use Qt5" ON)

set(o2_LIB_SUFFIX "" CACHE STRING "Suffix for install 'lib' directory, e.g. 64 for lib64")

option(o2_SHOW_TRACE "Show debugging messages" OFF)
if(NOT o2_SHOW_TRACE)
  add_definitions(-DQT_NO_DEBUG_OUTPUT=1)
endif()

option(o2_WITH_TWITTER "Authenticate with Twitter" OFF)
option(o2_WITH_DROPBOX "Authenticate with Dropbox" OFF)
option(o2_WITH_GOOGLE "Authenticate with Google" OFF)
option(o2_WITH_FACEBOOK "Authenticate with Facebook" OFF)
option(o2_WITH_SKYDRIVE "Authenticate with SkyDrive" OFF)
option(o2_WITH_FLICKR "Authenticate with Flickr" OFF)
option(o2_WITH_HUBIC "Authenticate with Hubic" OFF)
option(o2_WITH_SPOTIFY "Authenticate with Spotify" OFF)
option(o2_WITH_SURVEYMONKEY "Authenticate with SurveyMonkey" OFF)
option(o2_WITH_SMUGMUG "Authenticate with SmugMug" OFF)
option(o2_WITH_KEYCHAIN "keychain store" ON)

option(o2_WITH_OAUTH1 "Include OAuth1 authentication" OFF)
if(o2_WITH_TWITTER OR o2_WITH_DROPBOX OR o2_WITH_FLICKR OR o2_WITH_SMUGMUG)
  set(o2_WITH_OAUTH1 ON)
endif()

option(o2_BUILD_EXAMPLES "Build examples" OFF)

if(WIN32)
  add_definitions(-DO2_DLL_EXPORT)
endif()

add_subdirectory(src)

if(o2_BUILD_EXAMPLES)
  add_subdirectory(examples)
endif(o2_BUILD_EXAMPLES)

=== debian/changelog ===
kipi-plugins (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 12:49:05 +0100

=== debian/control ===
Source: kipi-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.0.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.18.0~),
               gettext,
               libkf5archive-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5kipi-dev,
               libkf5mediawiki-dev,
               libkf5windowsystem-dev (>= 5.18.0~),
               libkf5xmlgui-dev (>= 5.18.0~),
               libqt5svg5-dev (>= 5.6.0~),
               libqt5xmlpatterns5-dev (>= 5.6.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kipi_plugins
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins.git

Package: kipi-plugins
Architecture: any
Multi-Arch: same
Depends: kipi-plugins-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: imagemagick, hugin, enblend, enfuse, minidlna
Suggests: gimp, kmail, konqueror, vorbis-tools
Enhances: gwenview, kde-spectacle
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure.
 Its aim is to share image plugins among graphic applications.

Package: kipi-plugins-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.

## kipi-plugins 20.12.3

=== debian/changelog ===
kipi-plugins (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:20:54 +0000

kipi-plugins (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:54:56 +0000

kipi-plugins (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:10:48 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5config-dev (>= 5.18.0~),
                libkf5i18n-dev (>= 5.18.0~),
                libkf5kio-dev (>= 5.18.0~),
-               libkf5kipi-dev,
+               libkf5kipi-dev (>= 4:20.12.3~),
                libkf5mediawiki-dev,
                libkf5windowsystem-dev (>= 5.18.0~),
                libkf5xmlgui-dev (>= 5.18.0~),

## kipi-plugins 21.08.1

=== debian/changelog ===
kipi-plugins (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:34:21 +0100

kipi-plugins (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:03:07 +0100

kipi-plugins (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:56:34 +0100

kipi-plugins (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:34:28 +0100

kipi-plugins (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:44:12 +0100

kipi-plugins (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:40:49 +0100

kipi-plugins (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:07:19 +0100

kipi-plugins (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:36:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5config-dev (>= 5.18.0~),
                libkf5i18n-dev (>= 5.18.0~),
                libkf5kio-dev (>= 5.18.0~),
-               libkf5kipi-dev (>= 4:20.12.3~),
+               libkf5kipi-dev (>= 4:21.08.1~),
                libkf5mediawiki-dev,
                libkf5windowsystem-dev (>= 5.18.0~),
                libkf5xmlgui-dev (>= 5.18.0~),

## kipi-plugins 21.12.3

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2018 by Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#

project(kipi-plugins)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

# =======================================================
# Information to update before to release this package.

# kipi-plugins version
set(KIPIPLUGINS_MAJOR_VERSION "5")
set(KIPIPLUGINS_MINOR_VERSION "9")
set(KIPIPLUGINS_PATCH_VERSION "1")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
set(KIPIPLUGINS_SUFFIX_VERSION "")

# =======================================================
# Set env. variables accordinly.

set(KIPIPLUGINS_VERSION_STRING
    "${KIPIPLUGINS_MAJOR_VERSION}.${KIPIPLUGINS_MINOR_VERSION}.${KIPIPLUGINS_PATCH_VERSION}${KIPIPLUGINS_SUFFIX_VERSION}"
)

# NOTE: This string is used to set libkipiplugins SO version ID
set(KIPIPLUGINS_LIB_SO_VERSION_STRING
    "${KIPIPLUGINS_MAJOR_VERSION}.${KIPIPLUGINS_MINOR_VERSION}.${KIPIPLUGINS_PATCH_VERSION}"
)

# =======================================================

set(CMAKE_MIN_VERSION    "3.0.0")
set(KF5_MIN_VERSION      "5.18.0")
set(QT_MIN_VERSION       "5.6.0")
set(KIPI_MIN_VERSION     "5.0.0")
set(MEDIAWIKI_MIN_VERSION "5.0.0")
set(VKONTAKTE_MIN_VERSION "4.70.0")
cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})

############## ECM setup ######################

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Cmake macros
include(GenerateExportHeader)
include(CheckFunctionExists)
include(FeatureSummary)
# ECM macros
include(ECMOptionalAddSubdirectory)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMAddAppIcon)
# KDE macros
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(KDECompilerSettings)

##########################################################################

option(ENABLE_LEGACY "Build Kipi-plugins with legacy plugins support (default=ON)" ON)

############## Find Packages ###################

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
             Core
             Widgets
             PrintSupport
             Gui
             Xml
             XmlPatterns
             Svg
             Concurrent
             Network
)

if(BUILD_TESTING)
    find_package(Qt5Test ${QT_MIN_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
             Config
             WindowSystem
             XmlGui
             I18n
)

find_package(KF5KIO ${KF5_MIN_VERSION})
set_package_properties(KF5IO PROPERTIES PURPOSE "Required to build the RemoteStorage plugin")

if(KF5KIO_FOUND)
    # Some tools rely only on KIO core, others need KIOWidgets too..
    get_target_property(KIOWidgets_INCLUDE_DIRS KF5::KIOWidgets INTERFACE_INCLUDE_DIRECTORIES)
    message(STATUS "KF5::KIOWidgets include dirs: ${KIOWidgets_INCLUDE_DIRS}")

    if(NOT KIOWidgets_INCLUDE_DIRS)
        message(STATUS "KF5::KIOWidgets not available in shared KIO library. Some tools will not be compiled.")
        set(KF5KIOWidgets_FOUND FALSE)
    else()
        set(KF5KIOWidgets_FOUND TRUE)
    endif()
endif()

# Dependencies detection required by all plugins

find_package(KF5Kipi ${KIPI_MIN_VERSION} REQUIRED)

get_target_property(KF5Kipi_INCLUDE_DIRS KF5::Kipi INTERFACE_INCLUDE_DIRECTORIES)

# Detect libkipi so version used to compile kipi tool to identify if plugin can be loaded in memory by libkipi.
# This will be used to populate plugin desktop files.

foreach(var ${KF5Kipi_INCLUDE_DIRS})
    if(EXISTS "${var}/libkipi_config.h")
        set(KF5KipiConfig_FOUND "${var}/libkipi_config.h")
        message(STATUS "Libkipi config header: ${KF5KipiConfig_FOUND}")
        break()
    endif()
endforeach()

if(KF5KipiConfig_FOUND)
    file(READ ${KF5KipiConfig_FOUND} KIPI_CONFIG_H_CONTENT)

    string(REGEX REPLACE
            ".*static +const +int +kipi_binary_version += ([^ ;]+).*"
            "\\1"
            KIPI_LIB_SO_CUR_VERSION_FOUND
            "${KIPI_CONFIG_H_CONTENT}"
    )

    set(KIPI_LIB_SO_CUR_VERSION ${KIPI_LIB_SO_CUR_VERSION_FOUND} CACHE STRING "libkipi so version")
else()
    message(FATAL_ERROR "Could not find libkipi SO version")
    set(KF5Kipi_FOUND FALSE)
endif()

message(STATUS "libkipi includes      : ${KF5Kipi_INCLUDE_DIRS}")
message(STATUS "libkipi SO version    : ${KIPI_LIB_SO_CUR_VERSION}")

# -- Optional dependencies detection required by some plugins -------------------------------------

find_package(KF5MediaWiki ${MEDIAWIKI_MIN_VERSION})
find_package(KF5Vkontakte ${VKONTAKTE_MIN_VERSION})

# ==================================================================================================
# Create git version header

# We only do this IF we are in a .git dir
find_file(GIT_MARKER entries PATHS ${CMAKE_SOURCE_DIR}/.git)

if(NOT GIT_MARKER)
    set (GIT_MARKER ${CMAKE_SOURCE_DIR}/CMakeLists.txt)  # Dummy file
endif()

# Add a custom command to drive the git script whenever the git entries
# file changes.
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/gitscript.cmake.in"
                "${CMAKE_CURRENT_BINARY_DIR}/gitscript.cmake"
                @ONLY)

# Add a custom target to drive the custom command.
add_custom_target(kipiplugins-gitversion
                    ALL COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/gitscript.cmake")

# ==================================================================================================

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins
                    ${CMAKE_CURRENT_BINARY_DIR}/common/libkipiplugins
                    ${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins/dialogs
                    ${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins/widgets
                    ${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins/tools
                    ${CMAKE_CURRENT_SOURCE_DIR}/common/libkipiplugins/o2/src
                    ${KF5Kipi_INCLUDE_DIRS}
                )

# To prevent warnings from M$ compiler

if(WIN32 AND MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-D_ATL_SECURE_NO_WARNINGS)
    add_definitions(-D_AFX_SECURE_NO_WARNINGS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

# Remove pedantic GCC flag which generate a lots of warnings on the console with qCDebug()
while(CMAKE_CXX_FLAGS MATCHES "-pedantic")
    string(REPLACE "-pedantic" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
endwhile()

# Remove Wdate-time GCC flag which generate a lots of compile warnings
while(CMAKE_CXX_FLAGS MATCHES "-Wdate-time")
    string(REPLACE "-Wdate-time" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
endwhile()

add_subdirectory(common)
add_subdirectory(flickr)
add_subdirectory(dropbox)
add_subdirectory(facebook)
add_subdirectory(imgur)
add_subdirectory(piwigo)
add_subdirectory(rajce)
add_subdirectory(smug)
add_subdirectory(imageshack)
add_subdirectory(yandexfotki)
add_subdirectory(googleservices)

if(ENABLE_LEGACY)
    add_subdirectory(printimages)
    add_subdirectory(kmlexport)
    add_subdirectory(sendimages)
    add_subdirectory(jalbum)
endif()

if(KF5Vkontakte_FOUND)
    add_subdirectory(vkontakte)
endif()

if(KF5MediaWiki_FOUND)
    add_subdirectory(mediawiki)
endif()

if(KF5KIO_FOUND AND KF5KIOWidgets_FOUND)
    add_subdirectory(remotestorage)    # kioimportwindow.cpp, kioexportwindow.cpp
endif()

install(FILES org.kde.kipi_plugins.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
kipi-plugins (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 23:02:47 +0100

kipi-plugins (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:14:45 +0900

kipi-plugins (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:20:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: kipi-plugins
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+           Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.18.0~),
@@ -11,7 +13,7 @@
                libkf5config-dev (>= 5.18.0~),
                libkf5i18n-dev (>= 5.18.0~),
                libkf5kio-dev (>= 5.18.0~),
-               libkf5kipi-dev (>= 4:21.08.1~),
+               libkf5kipi-dev (>= 5.0.0~),
                libkf5mediawiki-dev,
                libkf5windowsystem-dev (>= 5.18.0~),
                libkf5xmlgui-dev (>= 5.18.0~),
@@ -20,7 +22,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kipi_plugins
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins
@@ -31,8 +33,8 @@
 Multi-Arch: same
 Depends: kipi-plugins-common (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: imagemagick, hugin, enblend, enfuse, minidlna
+         ${shlibs:Depends},
+Recommends: enblend, enfuse, hugin, imagemagick, minidlna
 Suggests: gimp, kmail, konqueror, vorbis-tools
 Enhances: gwenview, kde-spectacle
 Description: image manipulation/handling plugins for KIPI aware programs

## kipi-plugins 22.08.1

=== debian/changelog ===
kipi-plugins (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:41:00 +0100

kipi-plugins (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:50:46 +0100

kipi-plugins (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:28:20 +0100

kipi-plugins (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:02:30 +0100

kipi-plugins (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:00:59 +0100

kipi-plugins (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:48:52 +0100

kipi-plugins (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:11:32 +0000

kipi-plugins (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:18:06 +0000

kipi-plugins (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:26:01 +0000

kipi-plugins (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:23:06 +0000

kipi-plugins (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:07:37 +0000

kipi-plugins (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:18:19 +0000

kipi-plugins (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:26:47 +0000

kipi-plugins (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:40:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kipi-plugins
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-           Pino Toscano <pino@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.18.0~),
@@ -13,7 +12,7 @@
                libkf5config-dev (>= 5.18.0~),
                libkf5i18n-dev (>= 5.18.0~),
                libkf5kio-dev (>= 5.18.0~),
-               libkf5kipi-dev (>= 5.0.0~),
+               libkf5kipi-dev (>= 4:22.08.1~),
                libkf5mediawiki-dev,
                libkf5windowsystem-dev (>= 5.18.0~),
                libkf5xmlgui-dev (>= 5.18.0~),
@@ -22,19 +21,19 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kipi_plugins
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kipi-plugins
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kipi-plugins
 
 Package: kipi-plugins
 Architecture: any
 Multi-Arch: same
 Depends: kipi-plugins-common (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: enblend, enfuse, hugin, imagemagick, minidlna
+         ${shlibs:Depends}
+Recommends: imagemagick, hugin, enblend, enfuse, minidlna
 Suggests: gimp, kmail, konqueror, vorbis-tools
 Enhances: gwenview, kde-spectacle
 Description: image manipulation/handling plugins for KIPI aware programs

## kipi-plugins 22.12.1

=== debian/changelog ===
kipi-plugins (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:04:30 +0100

kipi-plugins (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:31 +0100

=== debian/control ===
Source: kipi-plugins
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.85.0~),
               gettext,
               libkf5archive-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.85.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5kio-dev (>= 5.85.0~),
               libkf5kipi-dev (>= 4:5.0.0~),
               libkf5mediawiki-dev,
               libkf5windowsystem-dev (>= 5.85.0~),
               libkf5xmlgui-dev (>= 5.85.0~),
               libqt5svg5-dev (>= 5.15.0~),
               libqt5xmlpatterns5-dev (>= 5.15.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kipi_plugins
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins.git

Package: kipi-plugins
Architecture: any
Multi-Arch: same
Depends: kipi-plugins-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: enblend, enfuse, hugin, imagemagick, minidlna
Suggests: gimp, kmail, konqueror, vorbis-tools
Enhances: gwenview, kde-spectacle
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure.
 Its aim is to share image plugins among graphic applications.

Package: kipi-plugins-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.

## kipi-plugins 22.12.3

=== common/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

add_subdirectory(data)
add_subdirectory(libkipiplugins)

=== piwigo/CMakeLists.txt ===
#
# Copyright (c) 2010-2016, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

subdirs(icons)

add_definitions(-DTRANSLATION_DOMAIN=\"kipiplugin_piwigo\")

set(kipiplugin_piwigo_PART_SRCS
    plugin_piwigo.cpp
    piwigos.cpp
    piwigoconfig.cpp
    piwigowindow.cpp
    piwigotalker.cpp
   )

add_library(kipiplugin_piwigo MODULE ${kipiplugin_piwigo_PART_SRCS})

target_link_libraries(kipiplugin_piwigo
                      PRIVATE
                      Qt5::Network

                      KF5::I18n
                      KF5::Kipi
                      KF5kipiplugins
                     )

configure_file(kipiplugin_piwigo.desktop.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_piwigo.desktop)

install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/kipiplugin_piwigo.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kipiplugin_piwigo                                     DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES   kipiplugin_piwigoui.rc                                DESTINATION ${KXMLGUI_INSTALL_DIR}/kipi)
install(FILES   piwigo_logo.png                                       DESTINATION ${DATA_INSTALL_DIR}/kipiplugin_piwigo/pics)

=== common/libkipiplugins/CMakeLists.txt ===
--- 
+++ 
@@ -100,5 +100,5 @@
 )
 
 install(TARGETS KF5kipiplugins
-        EXPORT  KF5kipipluginsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
+        EXPORT  KF5kipipluginsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
 )

=== mediawiki/icons/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
# Copyright (c) 2015, Alexander Potashev, <aspotashev@gmail.com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

ecm_install_icons(
    ICONS
        16-apps-kipi-wikimedia.png
        22-apps-kipi-wikimedia.png
        32-apps-kipi-wikimedia.png
        48-apps-kipi-wikimedia.png
        sc-apps-kipi-wikimedia.svgz
    DESTINATION ${ICON_INSTALL_DIR}
)

=== smug/icons/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
# Copyright (c) 2015, Alexander Potashev, <aspotashev@gmail.com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

ecm_install_icons(
    ICONS
        16-apps-kipi-smugmug.png
        22-apps-kipi-smugmug.png
        32-apps-kipi-smugmug.png
        48-apps-kipi-smugmug.png
        sc-apps-kipi-smugmug.svgz
    DESTINATION ${ICON_INSTALL_DIR}
)

=== common/libkipiplugins/o2/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

if(o2_WITH_QT5)
    find_package(Qt5 COMPONENTS Core Network REQUIRED)
else(o2_WITH_QT5)
    set(QT_USE_QTNETWORK true)
    set(QT_USE_QTSCRIPT true)
    find_package(Qt4 REQUIRED)
endif(o2_WITH_QT5)
#find_package(QJson REQUIRED)

if (NOT o2_WITH_QT5)
    include( ${QT_USE_FILE} )
endif(NOT o2_WITH_QT5)


set( o2_SRCS
    o2.cpp
    o2reply.cpp
    o2replyserver.cpp
    o2requestor.cpp
    o2simplecrypt.cpp
    o0settingsstore.cpp
    o0baseauth.cpp
)

set( o2_HDRS
    o2.h
    o2reply.h
    o2replyserver.h
    o2requestor.h
    o0abstractstore.h
    o0baseauth.h
    o0export.h
    o0globals.h
    o0requestparameter.h
    o0settingsstore.h
    o0simplecrypt.h
)

if(o2_WITH_OAUTH1)
    set( o2_SRCS
        ${o2_SRCS}
        o1.cpp
        o1requestor.cpp
        o1timedreply.cpp
    )
    set( o2_HDRS
        ${o2_HDRS}
        o1.h
        o1requestor.h
        o1timedreply.h
        o1freshbooks.h
    )
endif(o2_WITH_OAUTH1)

if(o2_WITH_TWITTER)
    set( o2_SRCS
        ${o2_SRCS}
        oxtwitter.cpp
    )
    set( o2_HDRS
        ${o2_HDRS}
        o1twitter.h
        oxtwitter.h
    )
endif(o2_WITH_TWITTER)

if(o2_WITH_DROPBOX)
    set( o2_HDRS
        ${o2_HDRS}
        o1dropbox.h
    )
endif(o2_WITH_DROPBOX)

if(o2_WITH_GOOGLE)
    set( o2_SRCS
        ${o2_SRCS}
        o2gft.cpp
        o2google.cpp
    )
    set( o2_HDRS
        ${o2_HDRS}
        o2gft.h
        o2google.h
    )
endif(o2_WITH_GOOGLE)

if(o2_WITH_FACEBOOK)
    set( o2_SRCS
        ${o2_SRCS}
        o2facebook.cpp
    )
    set( o2_HDRS
        ${o2_HDRS}
        o2facebook.h
    )
endif(o2_WITH_FACEBOOK)

if(o2_WITH_SKYDRIVE)
    set( o2_SRCS
        ${o2_SRCS}
        o2skydrive.cpp
    )
    set( o2_HDRS
        ${o2_HDRS}
        o2skydrive.h
    )
endif(o2_WITH_SKYDRIVE)

if(o2_WITH_FLICKR)
    set( o2_HDRS
        ${o2_HDRS}
        o1flickr.h
    )
endif(o2_WITH_FLICKR)

if(o2_WITH_HUBIC)
    set( o2_SRCS
        ${o2_SRCS}
        o2hubic.cpp
    )
    set( o2_HDRS
        ${o2_HDRS}
        o2hubic.h
    )
endif(o2_WITH_HUBIC)

if(o2_WITH_SPOTIFY)
    set( o2_SRCS
        ${o2_SRCS}
        o2spotify.cpp
    )
    set( o2_HDRS
        ${o2_HDRS}
        o2spotify.h
    )
endif(o2_WITH_SPOTIFY)

if(o2_WITH_SURVEYMONKEY)
    set( o2_SRCS
        ${o2_SRCS}
        o2surveymonkey.cpp
    )
    set( o2_HDRS
        ${o2_HDRS}
        o2surveymonkey.h
    )
endif(o2_WITH_SURVEYMONKEY)

if(o2_WITH_SMUGMUG)
    set( o2_SRCS
        ${o2_SRCS}
        o1smugmug.cpp
    )
    set( o2_HDRS
        ${o2_HDRS}
        o1smugmug.h
    )
endif(o2_WITH_SMUGMUG)


if(o2_WITH_KEYCHAIN)
    if (Qt5Core_DIR)
        find_package(Qt5Keychain REQUIRED)
    else()
        find_package(QtKeychain REQUIRED)
    endif()
    if(QTKEYCHAIN_FOUND OR QT5KEYCHAIN_FOUND)
        MESSAGE("Found QTKeychain")
        list(APPEND LINK_TARGETS ${QTKEYCHAIN_LIBRARY})
        include_directories(${QTKEYCHAIN_INCLUDE_DIR})
        set( o2_SRCS
                ${o2_SRCS}
                o0keychainstore.cpp
                )
        set( o2_HDRS
                ${o2_HDRS}
                o0keychainstore.h
                )
    else()
        MESSAGE("Qt5Keychain or QtKeychain is required")
    endif()


endif(o2_WITH_KEYCHAIN)




if(NOT o2_WITH_QT5)
    add_definitions(${QT4_DEFINITIONS})
endif(NOT o2_WITH_QT5)

if(BUILD_SHARED_LIBS AND APPLE AND POLICY CMP0042) # in CMake >= 2.8.12
    cmake_policy(SET CMP0042 OLD)
    set(CMAKE_MACOSX_RPATH OFF) # don't embed @rpath in install name
endif(BUILD_SHARED_LIBS AND APPLE AND POLICY CMP0042)

add_library( o2 ${o2_SRCS} ${o2_HDRS} )

if(o2_WITH_QT5)
    target_link_libraries( o2 Qt5::Core Qt5::Network ${LINK_TARGETS})
else(o2_WITH_QT5)
    target_link_libraries( o2 ${QT_LIBRARIES} ${LINK_TARGETS})
endif(o2_WITH_QT5)

if(BUILD_SHARED_LIBS)
    if(APPLE)
      set_target_properties(o2
          PROPERTIES INSTALL_NAME_DIR ${CMAKE_INSTALL_PREFIX}/lib
      )
    endif(APPLE)
    set_target_properties(o2
        PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${API_VERSION}
    )
else(BUILD_SHARED_LIBS)
    # needed for statically linked o2 in shared libs on x86_64
    set_target_properties(o2
        PROPERTIES POSITION_INDEPENDENT_CODE TRUE
    )
endif(BUILD_SHARED_LIBS)

install(TARGETS o2
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib${o2_LIB_SUFFIX}
    ARCHIVE DESTINATION lib${o2_LIB_SUFFIX}
)

install(FILES ${o2_HDRS}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/include/o2
)

message(STATUS "Writing pkg-config file...")
configure_file(${CMAKE_SOURCE_DIR}/o2.pc.cmake ${CMAKE_BINARY_DIR}/o2.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/o2.pc DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${o2_LIB_SUFFIX}/pkgconfig/")

=== debian/changelog ===
kipi-plugins (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:17 +0100

=== debian/control ===
--- 
+++ 
@@ -34,9 +34,9 @@
 Depends: kipi-plugins-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: enblend, enfuse, hugin, imagemagick, minidlna
-Suggests: gimp, kmail, konqueror, vorbis-tools
-Enhances: gwenview, kde-spectacle
+Recommends: enblend, enfuse, hugin, imagemagick, minidlna,
+Suggests: gimp, kmail, konqueror, vorbis-tools,
+Enhances: gwenview, kde-spectacle,
 Description: image manipulation/handling plugins for KIPI aware programs
  KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
  common plugin structure.
@@ -45,7 +45,7 @@
 Package: kipi-plugins-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: kipi-plugins architecture-independent data
  KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
  common plugin structure.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	# do not ship development stuff
	find debian/tmp -name '*.so' -type l -print -delete

## kipi-plugins 23.08.0

=== debian/changelog ===
kipi-plugins (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:55:06 +0100

kipi-plugins (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:34:52 +0100

kipi-plugins (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:48:25 +0100

kipi-plugins (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:57:42 +0100

kipi-plugins (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:39:00 +0000

kipi-plugins (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:18:17 -0600

kipi-plugins (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:15:39 +0000

kipi-plugins (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kipi-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 17:29:26 +0000

kipi-plugins (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:10:17 +0000

kipi-plugins (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:06:34 +0000

kipi-plugins (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:51:11 +0000

kipi-plugins (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:09:55 +0000

=== debian/control ===
Source: kipi-plugins
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.85.0~),
               gettext,
               libkf5archive-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.85.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5kio-dev (>= 5.85.0~),
               libkf5kipi-dev (>= 4:23.08.0~),
               libkf5mediawiki-dev,
               libkf5windowsystem-dev (>= 5.85.0~),
               libkf5xmlgui-dev (>= 5.85.0~),
               libqt5svg5-dev (>= 5.15.0~),
               libqt5xmlpatterns5-dev (>= 5.15.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kipi_plugins
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kipi-plugins
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kipi-plugins

Package: kipi-plugins
Architecture: any
Multi-Arch: same
Depends: kipi-plugins-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: enblend, enfuse, hugin, imagemagick, minidlna
Suggests: gimp, kmail, konqueror, vorbis-tools
Enhances: gwenview, kde-spectacle
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure.
 Its aim is to share image plugins among graphic applications.

Package: kipi-plugins-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.

## kipi-plugins 23.08.1

=== debian/changelog ===
kipi-plugins (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:00:10 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5config-dev (>= 5.85.0~),
                libkf5i18n-dev (>= 5.85.0~),
                libkf5kio-dev (>= 5.85.0~),
-               libkf5kipi-dev (>= 4:23.08.0~),
+               libkf5kipi-dev (>= 4:23.08.1~),
                libkf5mediawiki-dev,
                libkf5windowsystem-dev (>= 5.85.0~),
                libkf5xmlgui-dev (>= 5.85.0~),

## kipi-plugins 23.08.4

=== debian/changelog ===
kipi-plugins (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:16:18 +0000

kipi-plugins (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:35:58 +0000

kipi-plugins (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:32:13 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5config-dev (>= 5.85.0~),
                libkf5i18n-dev (>= 5.85.0~),
                libkf5kio-dev (>= 5.85.0~),
-               libkf5kipi-dev (>= 4:23.08.1~),
+               libkf5kipi-dev (>= 4:23.08.4~),
                libkf5mediawiki-dev,
                libkf5windowsystem-dev (>= 5.85.0~),
                libkf5xmlgui-dev (>= 5.85.0~),
